<html>
<head>
<title>OgreRenderOperation.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreRenderOperation.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreRenderOperation_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef _RenderOperation_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define _RenderOperation_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreVertexIndexData_8h.html">OgreVertexIndexData.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 
<a name="l00044"></a><a class="code" href="classOgre_1_1RenderOperation.html">00044</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a> {
<a name="l00045"></a>00045     <span class="keyword">public</span>:
<a name="l00047"></a><a class="code" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">00047</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d" title="The rendering operation type to perform.">OperationType</a> {
<a name="l00049"></a><a class="code" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10daed142a19459e32c7d8aef5975f534d5e">00049</a>             OT_POINT_LIST = 1,
<a name="l00051"></a><a class="code" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10da68a6fc2c1c6938542664b89cf213c3eb">00051</a>             OT_LINE_LIST = 2,
<a name="l00053"></a><a class="code" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10da4bc7bbf09ce027518e33e61249e699a1">00053</a>             OT_LINE_STRIP = 3,
<a name="l00055"></a><a class="code" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10da8c00ee152b44fe8000c2fd675437c087">00055</a>             OT_TRIANGLE_LIST = 4,
<a name="l00057"></a><a class="code" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10da646d8e8fd2aad4baab4809e6f80bfc74">00057</a>             OT_TRIANGLE_STRIP = 5,
<a name="l00059"></a><a class="code" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10da74eb8a7062ea4c0b2fdfe3cc6b9781ad">00059</a>             OT_TRIANGLE_FAN = 6
<a name="l00060"></a>00060         };
<a name="l00061"></a>00061 
<a name="l00063"></a><a class="code" href="classOgre_1_1RenderOperation.html#a306c2ed3599abab29a027325e3d6d721">00063</a>         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a> *<a class="code" href="classOgre_1_1RenderOperation.html#a306c2ed3599abab29a027325e3d6d721" title="Vertex source data.">vertexData</a>;
<a name="l00064"></a>00064 
<a name="l00066"></a><a class="code" href="classOgre_1_1RenderOperation.html#a880adde68db01dffcfac616de0ef1f45">00066</a>         <a class="code" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d" title="The rendering operation type to perform.">OperationType</a> <a class="code" href="classOgre_1_1RenderOperation.html#a880adde68db01dffcfac616de0ef1f45" title="The type of operation to perform.">operationType</a>;
<a name="l00067"></a>00067 
<a name="l00072"></a><a class="code" href="classOgre_1_1RenderOperation.html#ae12d3ff9f224f21738fa50f832484f3d">00072</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1RenderOperation.html#ae12d3ff9f224f21738fa50f832484f3d" title="Specifies whether to use indexes to determine the vertices to use as input.">useIndexes</a>;
<a name="l00073"></a>00073 
<a name="l00075"></a><a class="code" href="classOgre_1_1RenderOperation.html#abd5f99e4d8429321e0da75acdcfdc52f">00075</a>         <a class="code" href="classOgre_1_1IndexData.html" title="Summary class collecting together index data source information.">IndexData</a> *<a class="code" href="classOgre_1_1RenderOperation.html#abd5f99e4d8429321e0da75acdcfdc52f" title="Index data - only valid if useIndexes is true.">indexData</a>;
<a name="l00077"></a><a class="code" href="classOgre_1_1RenderOperation.html#a6f6cbc81ef5f41d3a0357a40095aba33">00077</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>* <a class="code" href="classOgre_1_1RenderOperation.html#a6f6cbc81ef5f41d3a0357a40095aba33" title="Debug pointer back to renderable which created this.">srcRenderable</a>;
<a name="l00078"></a>00078 
<a name="l00081"></a><a class="code" href="classOgre_1_1RenderOperation.html#a98de91064f888a6a7795df15ef153e6f">00081</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1RenderOperation.html#a98de91064f888a6a7795df15ef153e6f" title="The number of instances for the render operation - this option is supported in only a part of the ren...">numberOfInstances</a>;
<a name="l00082"></a>00082 
<a name="l00085"></a><a class="code" href="classOgre_1_1RenderOperation.html#a58effcf80fb468f10360aeab08d3c32e">00085</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1RenderOperation.html#a58effcf80fb468f10360aeab08d3c32e" title="A flag to indicate that it is possible for this operation to use a global vertex instance buffer if a...">useGlobalInstancingVertexBufferIsAvailable</a>;
<a name="l00086"></a>00086 
<a name="l00087"></a><a class="code" href="classOgre_1_1RenderOperation.html#a21998ad8a9cb134420158dc8e2663eac">00087</a>         <a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a>() :
<a name="l00088"></a>00088             vertexData(0), operationType(OT_TRIANGLE_LIST), useIndexes(true),
<a name="l00089"></a>00089                 indexData(0), srcRenderable(0), numberOfInstances(1),
<a name="l00090"></a>00090                 useGlobalInstancingVertexBufferIsAvailable(true) {}
<a name="l00091"></a>00091 
<a name="l00092"></a>00092 
<a name="l00093"></a>00093     };
<a name="l00096"></a>00096 }
<a name="l00097"></a>00097 
<a name="l00098"></a>00098 
<a name="l00099"></a>00099 
<a name="l00100"></a>00100 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
